Page MenuHomePhabricator

[AMDGPU] Introduce and use isGFX10Plus. NFC.
ClosedPublic

Authored by foad on Nov 25 2020, 4:53 AM.

Details

Summary

It's more future-proof to use isGFX10Plus from the start, on the
assumption that future architectures will be based on current
architectures.

Also make use of the existing isGFX9Plus in a few places.

Diff Detail

Event Timeline

foad created this revision.Nov 25 2020, 4:53 AM
Herald added a project: Restricted Project. · View Herald TranscriptNov 25 2020, 4:53 AM
foad requested review of this revision.Nov 25 2020, 4:53 AM
rampitec accepted this revision.Nov 25 2020, 10:07 AM
This revision is now accepted and ready to land.Nov 25 2020, 10:07 AM
This revision was landed with ongoing or failed builds.Nov 26 2020, 1:02 AM
This revision was automatically updated to reflect the committed changes.
Joe_Nash added inline comments.Nov 30 2020, 9:30 AM
llvm/lib/Target/AMDGPU/AsmParser/AMDGPUAsmParser.cpp
4880

is equivalent and maybe easier to understand.

foad marked an inline comment as done.Dec 1 2020, 2:22 AM
foad added inline comments.
llvm/lib/Target/AMDGPU/AsmParser/AMDGPUAsmParser.cpp
4880